Skip to main content
GET
/
public-api
/
executions
/
{execution_id}
Get an execution
curl --request GET \
  --url https://api.neoagent.io/public-api/executions/{execution_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "additional_custom_instructions": "<string>",
    "agent_id": 123,
    "agent_name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "entity_id": "<string>",
    "entity_number": "<string>",
    "error": "<string>",
    "execution_id": "<string>",
    "message_for_dashboard": "<string>",
    "seconds_spent": 123,
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Path Parameters

execution_id
string
required

Response

Success.

data
Execution · object
required
meta
object
required